<odoo>
    <data>
        <!-- Drivers Related views-->

        <record id="drivers_kanban_view_partners" model="ir.ui.view">
            <field name="name">res.partner.drivers.kanban</field>
            <field name="mode">primary</field>
            <field name="model">res.partner</field>
            <field name="inherit_id" ref="base.res_partner_kanban_view"/>
            <field name="arch" type="xml">
                <xpath expr="//div[hasclass('oe_kanban_details')]" position="inside">
                    <div class="pt-3">
                        <a href="#" name="action_open_driver_pickings" type="object">
                            <div class="o_field_widget o_stat_info">
                                <span class="o_stat_value">
                                    <field name="picking_count"/>
                                </span>
                                <span class="o_stat_text">Pickings(s)</span>
                            </div>
                        </a>
                    </div>
                </xpath>
            </field>
        </record>

        <record id="view_partner_drivers_form" model="ir.ui.view">
            <field name="name">res.partner.drivers.form</field>
            <field name="model">res.partner</field>
            <field name="inherit_id" ref="base.view_partner_form"/>
            <field name="mode">primary</field>
            <field name="arch" type="xml">
                <xpath expr="//div[hasclass('oe_button_box')]" position="inside">
                    <button name="action_open_driver_vehicle" class="oe_stat_button" icon="fa-car" type="object"
                            help="List view of drivers vehicles"
                            attrs="{'invisible': [('vehicle_count', '=', 0)]}">
                        <div class="o_form_field o_stat_info">
                            <field name="vehicle_count"/>
                            <span class="o_stat_text">Vehicles</span>
                        </div>
                    </button>
                </xpath>
                <xpath expr="//field[@name='vat']" position="after">
                    <field name="is_driver"/>
                    <field name="vehicle_id"/>
                    <field name="bi_directional" widget="many2many_tags"/>
                    <field name="delivery_order" widget="many2many_tags"/>
                </xpath>
            </field>
        </record>

        <record id="drivers_fleet_action_window" model="ir.actions.act_window">
            <field name="name">Drivers</field>
            <field name="res_model">res.partner</field>
            <field name="view_mode">tree,form,kanban</field>
            <field name="domain">[('is_driver','=',True)]</field>
            <field name="context">{'default_is_driver': True}</field>
            <field name="view_ids"
                   eval="[(5, 0, 0),
                          (0, 0, {'view_mode': 'tree'}),
                          (0, 0, {'view_mode': 'form', 'view_id': ref('view_partner_drivers_form')}),
                          (0, 0, {'view_mode': 'kanban', 'view_id': ref('drivers_kanban_view_partners')})]"/>
            <field name="help" type="html">
                <p class="o_view_nocontent_smiling_face">
                    Add a new driver
                </p>
            </field>
        </record>

        <menuitem name="Drivers" id="drivers_fleet_menu" sequence="98" parent="stock.menu_stock_root"
                  action="drivers_fleet_action_window"/>


        <!-- Drivers Related views-->

        <record id="fleet_vehicle_view_orders_smart_btn_form" model="ir.ui.view">
            <field name="name">fleet.vehicle.orders.smart.btn.form</field>
            <field name="model">fleet.vehicle</field>
            <field name="inherit_id" ref="fleet.fleet_vehicle_view_form"/>
            <field name="arch" type="xml">
                <xpath expr="//div[hasclass('oe_button_box')]" position='inside'>
                    <button name="open_related_future_orders" type="object"  icon='fa-truck'
                            attrs="{'invisible': [('future_related_order_count', '=', 0)]}">
                        <field name="future_related_order_count" widget="statinfo" string="Related Future Pickings" />
                    </button>
                </xpath>
            </field>
        </record>


    </data>
</odoo>